diff --git a/web/pgadmin/tools/debugger/static/js/direct.js b/web/pgadmin/tools/debugger/static/js/direct.js
index f7f8edfe..4151a924 100644
--- a/web/pgadmin/tools/debugger/static/js/direct.js
+++ b/web/pgadmin/tools/debugger/static/js/direct.js
@@ -642,62 +642,62 @@ define([
 
         $.ajax({
           url: baseUrl,
-          success: function(res) {
-            // Restart the same function debugging with previous arguments
-            var restart_dbg = res.data.restart_debug ? 1 : 0;
-
-            // Start pooling again
-            pgTools.DirectDebug.polling_timeout_idle = false;
-            pgTools.DirectDebug.is_polling_required = true;
-            self.poll_end_execution_result(trans_id);
-            self.poll_result(trans_id);
-
-            if (restart_dbg) {
-              pgTools.DirectDebug.debug_restarted = true;
-            }
+        })
+        .done(function(res) {
+          // Restart the same function debugging with previous arguments
+          var restart_dbg = res.data.restart_debug ? 1 : 0;
+
+          // Start pooling again
+          pgTools.DirectDebug.polling_timeout_idle = false;
+          pgTools.DirectDebug.is_polling_required = true;
+          self.poll_end_execution_result(trans_id);
+          self.poll_result(trans_id);
+
+          if (restart_dbg) {
+            pgTools.DirectDebug.debug_restarted = true;
+          }
 
-            /*
-             Need to check if restart debugging really require to open the input
-             dialog? If yes then we will get the previous arguments from database
-             and populate the input dialog, If no then we should directly start the
-             listener.
-            */
-            if (res.data.result.require_input) {
-              debug_function_again(res.data.result, restart_dbg);
-            } else {
-              // Debugging of void function is started again so we need to start
-              // the listener again
-              var baseUrl = url_for('debugger.start_listener', {
-                'trans_id': trans_id,
-              });
+          /*
+           Need to check if restart debugging really require to open the input
+           dialog? If yes then we will get the previous arguments from database
+           and populate the input dialog, If no then we should directly start the
+           listener.
+          */
+          if (res.data.result.require_input) {
+            debug_function_again(res.data.result, restart_dbg);
+          } else {
+            // Debugging of void function is started again so we need to start
+            // the listener again
+            var baseUrl = url_for('debugger.start_listener', {
+              'trans_id': trans_id,
+            });
 
-              $.ajax({
-                url: baseUrl,
-                method: 'GET',
-                success: function() {
-                  if (pgTools.DirectDebug.debug_type) {
-                    self.poll_end_execution_result(trans_id);
-                  }
-                },
-                error: function() {
-                  Alertify.alert(
-                    gettext('Debugger Error'),
-                    gettext('Error while polling result.')
-                  );
-                },
-              });
-            }
-          },
-          error: function(xhr) {
-            try {
-              var err = JSON.parse(xhr.responseText);
-              if (err.success == 0) {
-                Alertify.alert(gettext('Debugger Error'), err.errormsg);
+            $.ajax({
+              url: baseUrl,
+              method: 'GET',
+            })
+            .done(function() {
+              if (pgTools.DirectDebug.debug_type) {
+                self.poll_end_execution_result(trans_id);
               }
-            } catch (e) {
-              console.warn(e.stack || e);
+            })
+            .fail(function() {
+              Alertify.alert(
+                gettext('Debugger Error'),
+                gettext('Error while polling result.')
+              );
+            });
+          }
+        })
+        .fail(function(xhr) {
+          try {
+            var err = JSON.parse(xhr.responseText);
+            if (err.success == 0) {
+              Alertify.alert(gettext('Debugger Error'), err.errormsg);
             }
-          },
+          } catch (e) {
+            console.warn(e.stack || e);
+          }
         });
       },
 
@@ -724,22 +724,22 @@ define([
           $.ajax({
             url: baseUrl,
             method: 'GET',
-            success: function(res) {
-              if (res.data.status) {
-                self.poll_result(trans_id);
-              } else {
-                Alertify.alert(
-                  gettext('Debugger Error'),
-                  gettext('Error while executing continue in debugging session.')
-                );
-              }
-            },
-            error: function() {
+          })
+          .done(function(res) {
+            if (res.data.status) {
+              self.poll_result(trans_id);
+            } else {
               Alertify.alert(
                 gettext('Debugger Error'),
                 gettext('Error while executing continue in debugging session.')
               );
-            },
+            }
+          })
+          .fail(function() {
+            Alertify.alert(
+              gettext('Debugger Error'),
+              gettext('Error while executing continue in debugging session.')
+            );
           });
         }
       },
@@ -761,22 +761,22 @@ define([
         $.ajax({
           url: baseUrl,
           method: 'GET',
-          success: function(res) {
-            if (res.data.status) {
-              self.poll_result(trans_id);
-            } else {
-              Alertify.alert(
-                gettext('Debugger Error'),
-                gettext('Error while executing step over in debugging session.')
-              );
-            }
-          },
-          error: function() {
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            self.poll_result(trans_id);
+          } else {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while executing step over in debugging session.')
             );
-          },
+          }
+        })
+        .fail(function() {
+          Alertify.alert(
+            gettext('Debugger Error'),
+            gettext('Error while executing step over in debugging session.')
+          );
         });
       },
 
@@ -797,22 +797,22 @@ define([
         $.ajax({
           url: baseUrl,
           method: 'GET',
-          success: function(res) {
-            if (res.data.status) {
-              self.poll_result(trans_id);
-            } else {
-              Alertify.alert(
-                gettext('Debugger Error'),
-                gettext('Error while executing step into in debugging session.')
-              );
-            }
-          },
-          error: function() {
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            self.poll_result(trans_id);
+          } else {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while executing step into in debugging session.')
             );
-          },
+          }
+        })
+        .fail(function() {
+          Alertify.alert(
+            gettext('Debugger Error'),
+            gettext('Error while executing step into in debugging session.')
+          );
         });
       },
 
@@ -834,38 +834,38 @@ define([
         $.ajax({
           url: baseUrl,
           method: 'GET',
-          success: function(res) {
-            if (res.data.status) {
-              // Call function to create and update local variables ....
-              pgTools.DirectDebug.editor.removeLineClass(
-                self.active_line_no, 'wrap', 'CodeMirror-activeline-background'
-              );
-              pgTools.DirectDebug.direct_execution_completed = true;
-              pgTools.DirectDebug.is_user_aborted_debugging = true;
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            // Call function to create and update local variables ....
+            pgTools.DirectDebug.editor.removeLineClass(
+              self.active_line_no, 'wrap', 'CodeMirror-activeline-background'
+            );
+            pgTools.DirectDebug.direct_execution_completed = true;
+            pgTools.DirectDebug.is_user_aborted_debugging = true;
 
-              // Stop further pooling
-              pgTools.DirectDebug.is_polling_required = false;
+            // Stop further pooling
+            pgTools.DirectDebug.is_polling_required = false;
 
-              // Restarting debugging in the same transaction do not work
-              // We will give same behaviour as pgAdmin3 and disable all buttons
-              self.enable('continue', false);
+            // Restarting debugging in the same transaction do not work
+            // We will give same behaviour as pgAdmin3 and disable all buttons
+            self.enable('continue', false);
 
-              // Set the Alertify message to inform the user that execution
-              // is completed.
-              Alertify.success(res.info, 3);
-            } else if (res.data.status === 'NotConnected') {
-              Alertify.alert(
-                gettext('Debugger Error'),
-                gettext('Error while executing stop in debugging session.')
-              );
-            }
-          },
-          error: function() {
+            // Set the Alertify message to inform the user that execution
+            // is completed.
+            Alertify.success(res.info, 3);
+          } else if (res.data.status === 'NotConnected') {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while executing stop in debugging session.')
             );
-          },
+          }
+        })
+        .fail(function() {
+          Alertify.alert(
+            gettext('Debugger Error'),
+            gettext('Error while executing stop in debugging session.')
+          );
         });
       },
 
@@ -901,40 +901,40 @@ define([
         $.ajax({
           url: baseUrl,
           method: 'GET',
-          success: function(res) {
-            if (res.data.status) {
-              // Call function to create and update local variables ....
-              var info = pgTools.DirectDebug.editor.lineInfo(self.active_line_no);
-
-              if (info.gutterMarkers != undefined) {
-                pgTools.DirectDebug.editor.setGutterMarker(self.active_line_no, 'breakpoints', null);
-              } else {
-                pgTools.DirectDebug.editor.setGutterMarker(self.active_line_no, 'breakpoints', function() {
-                  var marker = document.createElement('div');
-                  marker.style.color = '#822';
-                  marker.innerHTML = '●';
-                  return marker;
-                }());
-              }
-              self.enable('stop', true);
-              self.enable('step_over', true);
-              self.enable('step_into', true);
-              self.enable('toggle_breakpoint', true);
-              self.enable('clear_all_breakpoints', true);
-              self.enable('continue', true);
-            } else if (res.data.status === 'NotConnected') {
-              Alertify.alert(
-                gettext('Debugger Error'),
-                gettext('Error while toggling breakpoint.')
-              );
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            // Call function to create and update local variables ....
+            var info = pgTools.DirectDebug.editor.lineInfo(self.active_line_no);
+
+            if (info.gutterMarkers != undefined) {
+              pgTools.DirectDebug.editor.setGutterMarker(self.active_line_no, 'breakpoints', null);
+            } else {
+              pgTools.DirectDebug.editor.setGutterMarker(self.active_line_no, 'breakpoints', function() {
+                var marker = document.createElement('div');
+                marker.style.color = '#822';
+                marker.innerHTML = '●';
+                return marker;
+              }());
             }
-          },
-          error: function() {
+            self.enable('stop', true);
+            self.enable('step_over', true);
+            self.enable('step_into', true);
+            self.enable('toggle_breakpoint', true);
+            self.enable('clear_all_breakpoints', true);
+            self.enable('continue', true);
+          } else if (res.data.status === 'NotConnected') {
             Alertify.alert(
               gettext('Debugger Error'),
               gettext('Error while toggling breakpoint.')
             );
-          },
+          }
+        })
+        .fail(function() {
+          Alertify.alert(
+            gettext('Debugger Error'),
+            gettext('Error while toggling breakpoint.')
+          );
         });
       },
 
@@ -972,31 +972,31 @@ define([
           data: {
             'breakpoint_list': breakpoint_list.join(),
           },
-          success: function(res) {
-            if (res.data.status) {
-              for (var i = 0; i < breakpoint_list.length; i++) {
-                var info = pgTools.DirectDebug.editor.lineInfo((breakpoint_list[i] - 1));
-
-                if (info) {
-                  if (info.gutterMarkers != undefined) {
-                    pgTools.DirectDebug.editor.setGutterMarker((breakpoint_list[i] - 1), 'breakpoints', null);
-                  }
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            for (var i = 0; i < breakpoint_list.length; i++) {
+              var info = pgTools.DirectDebug.editor.lineInfo((breakpoint_list[i] - 1));
+
+              if (info) {
+                if (info.gutterMarkers != undefined) {
+                  pgTools.DirectDebug.editor.setGutterMarker((breakpoint_list[i] - 1), 'breakpoints', null);
                 }
               }
             }
-            self.enable('stop', true);
-            self.enable('step_over', true);
-            self.enable('step_into', true);
-            self.enable('toggle_breakpoint', true);
-            self.enable('clear_all_breakpoints', true);
-            self.enable('continue', true);
-          },
-          error: function() {
-            Alertify.alert(
-              gettext('Debugger Error'),
-              gettext('Error while clearing all breakpoint.')
-            );
-          },
+          }
+          self.enable('stop', true);
+          self.enable('step_over', true);
+          self.enable('step_into', true);
+          self.enable('toggle_breakpoint', true);
+          self.enable('clear_all_breakpoints', true);
+          self.enable('continue', true);
+        })
+        .fail(function() {
+          Alertify.alert(
+            gettext('Debugger Error'),
+            gettext('Error while clearing all breakpoint.')
+          );
         });
       },
 
@@ -1332,24 +1332,24 @@ define([
           data: {
             'data': JSON.stringify(name_value_list),
           },
-          success: function(res) {
-            if (res.data.status) {
-              // Get the updated variables value
-              self.GetLocalVariables(pgTools.DirectDebug.trans_id);
-              // Show the message to the user that deposit value is success or failure
-              if (res.data.result) {
-                Alertify.success(res.data.info, 3);
-              } else {
-                Alertify.error(res.data.info, 3);
-              }
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            // Get the updated variables value
+            self.GetLocalVariables(pgTools.DirectDebug.trans_id);
+            // Show the message to the user that deposit value is success or failure
+            if (res.data.result) {
+              Alertify.success(res.data.info, 3);
+            } else {
+              Alertify.error(res.data.info, 3);
             }
-          },
-          error: function() {
-            Alertify.alert(
-              gettext('Debugger Error'),
-              gettext('Error while depositing variable value.')
-            );
-          },
+          }
+        })
+        .fail(function() {
+          Alertify.alert(
+            gettext('Debugger Error'),
+            gettext('Error while depositing variable value.')
+          );
         });
       },
 
@@ -1364,26 +1364,26 @@ define([
         $.ajax({
           url: baseUrl,
           method: 'GET',
-          success: function(res) {
-            if (res.data.status) {
-              pgTools.DirectDebug.editor.setValue(res.data.result[0].src);
-              self.UpdateBreakpoint(pgTools.DirectDebug.trans_id);
-              // active_line_no =
-              //   self.active_line_no = (res.data.result[0].linenumber - 2);
-              pgTools.DirectDebug.editor.addLineClass(
-                (res.data.result[0].linenumber - 2), 'wrap',
-                'CodeMirror-activeline-background'
-              );
-              // Call function to create and update local variables ....
-              self.GetLocalVariables(pgTools.DirectDebug.trans_id);
-            }
-          },
-          error: function() {
-            Alertify.alert(
-              gettext('Debugger Error'),
-              gettext('Error while selecting frame.')
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            pgTools.DirectDebug.editor.setValue(res.data.result[0].src);
+            self.UpdateBreakpoint(pgTools.DirectDebug.trans_id);
+            // active_line_no =
+            //   self.active_line_no = (res.data.result[0].linenumber - 2);
+            pgTools.DirectDebug.editor.addLineClass(
+              (res.data.result[0].linenumber - 2), 'wrap',
+              'CodeMirror-activeline-background'
             );
-          },
+            // Call function to create and update local variables ....
+            self.GetLocalVariables(pgTools.DirectDebug.trans_id);
+          }
+        })
+        .fail(function() {
+          Alertify.alert(
+            gettext('Debugger Error'),
+            gettext('Error while selecting frame.')
+          );
         });
       },
     }
@@ -1597,18 +1597,18 @@ define([
         $.ajax({
           url: baseUrl,
           method: 'GET',
-          success: function(res) {
-            if (res.data.status) {
-              self.intializePanels();
-              controller.poll_result(trans_id);
-            }
-          },
-          error: function() {
-            Alertify.alert(
-              gettext('Debugger Error'),
-              gettext('Error while starting debugging listener.')
-            );
-          },
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            self.intializePanels();
+            controller.poll_result(trans_id);
+          }
+        })
+        .fail(function() {
+          Alertify.alert(
+            gettext('Debugger Error'),
+            gettext('Error while starting debugging listener.')
+          );
         });
       } else if (trans_id != undefined && debug_type) {
         // Make ajax call to execute the and start the target for execution
@@ -1619,17 +1619,17 @@ define([
         $.ajax({
           url: baseUrl,
           method: 'GET',
-          success: function(res) {
-            if (res.data.status) {
-              self.messages(trans_id);
-            }
-          },
-          error: function() {
-            Alertify.alert(
-              gettext('Debugger Error'),
-              gettext('Error while starting debugging listener.')
-            );
-          },
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            self.messages(trans_id);
+          }
+        })
+        .fail(function() {
+          Alertify.alert(
+            gettext('Debugger Error'),
+            gettext('Error while starting debugging listener.')
+          );
         });
       } else
         this.intializePanels();
@@ -1647,28 +1647,28 @@ define([
       $.ajax({
         url: baseUrl,
         method: 'GET',
-        success: function(res) {
-          if (res.data.status === 'Success') {
-            self.intializePanels();
-            // If status is Success then find the port number to attach the executer.
-            //self.start_execution(trans_id, res.data.result);
-            controller.start_execution(trans_id, res.data.result);
-          } else if (res.data.status === 'Busy') {
-            // If status is Busy then poll the result by recursive call to the poll function
-            self.messages(trans_id);
-          } else if (res.data.status === 'NotConnected') {
-            Alertify.alert(
-              gettext('Not connected to server or connection with the server has been closed.'),
-              res.data.result
-            );
-          }
-        },
-        error: function() {
+      })
+      .done(function(res) {
+        if (res.data.status === 'Success') {
+          self.intializePanels();
+          // If status is Success then find the port number to attach the executer.
+          //self.start_execution(trans_id, res.data.result);
+          controller.start_execution(trans_id, res.data.result);
+        } else if (res.data.status === 'Busy') {
+          // If status is Busy then poll the result by recursive call to the poll function
+          self.messages(trans_id);
+        } else if (res.data.status === 'NotConnected') {
           Alertify.alert(
-            gettext('Debugger Error'),
-            gettext('Error while fetching messages information.')
+            gettext('Not connected to server or connection with the server has been closed.'),
+            res.data.result
           );
-        },
+        }
+      })
+      .fail(function() {
+        Alertify.alert(
+          gettext('Debugger Error'),
+          gettext('Error while fetching messages information.')
+        );
       });
 
     },
diff --git a/web/pgadmin/tools/import_export/static/js/import_export.js b/web/pgadmin/tools/import_export/static/js/import_export.js
index 5c73537e..7d40629f 100644
--- a/web/pgadmin/tools/import_export/static/js/import_export.js
+++ b/web/pgadmin/tools/import_export/static/js/import_export.js
@@ -526,23 +526,23 @@ Backform, commonUtils, supportedNodes
                   data: {
                     'data': JSON.stringify(this.view.model.toJSON()),
                   },
-                  success: function(res) {
-                    if (res.success) {
-                      Alertify.success(gettext('Import/export job created.'), 5);
-                      pgBrowser.Events.trigger('pgadmin-bgprocess:created', self);
-                    }
-                  },
-                  error: function(xhr) {
-                    try {
-                      var err = JSON.parse(xhr.responseText);
-                      Alertify.alert(
-                        gettext('Import/export job failed.'),
-                        err.errormsg
-                      );
-                    } catch (e) {
-                      console.warn(e.stack || e);
-                    }
-                  },
+                })
+                .done(function(res) {
+                  if (res.success) {
+                    Alertify.success(gettext('Import/export job created.'), 5);
+                    pgBrowser.Events.trigger('pgadmin-bgprocess:created', self);
+                  }
+                })
+                .fail(function(xhr) {
+                  try {
+                    var err = JSON.parse(xhr.responseText);
+                    Alertify.alert(
+                      gettext('Import/export job failed.'),
+                      err.errormsg
+                    );
+                  } catch (e) {
+                    console.warn(e.stack || e);
+                  }
                 });
               }
             },
diff --git a/web/pgadmin/tools/maintenance/static/js/maintenance.js b/web/pgadmin/tools/maintenance/static/js/maintenance.js
index df05c3d5..a9c70752 100644
--- a/web/pgadmin/tools/maintenance/static/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/static/js/maintenance.js
@@ -385,20 +385,20 @@ define([
                   data: {
                     'data': JSON.stringify(this.view.model.toJSON()),
                   },
-                  success: function(res) {
-                    if (res.data && res.data.status) {
-                      //Do nothing as we are creating the job and exiting from the main dialog
-                      Alertify.success(res.data.info);
-                      pgBrowser.Events.trigger('pgadmin-bgprocess:created', self);
-                    } else {
-                      Alertify.error(res.data.errmsg);
-                    }
-                  },
-                  error: function() {
-                    Alertify.alert(
-                      gettext('Maintenance job creation failed.')
-                    );
-                  },
+                })
+                .done(function(res) {
+                  if (res.data && res.data.status) {
+                    //Do nothing as we are creating the job and exiting from the main dialog
+                    Alertify.success(res.data.info);
+                    pgBrowser.Events.trigger('pgadmin-bgprocess:created', self);
+                  } else {
+                    Alertify.error(res.data.errmsg);
+                  }
+                })
+                .fail(function() {
+                  Alertify.alert(
+                    gettext('Maintenance job creation failed.')
+                  );
                 });
               }
             },
